lib64nm-glib-vpn1-1.8.0-1.mga6.x86_64.rpm


Advertisement

Description

lib64nm-glib-vpn1 - Shared library for nm-glib-vpn

Property Value
Distribution Mageia 6.1
Repository Mageia Core x86_64
Package filename lib64nm-glib-vpn1-1.8.0-1.mga6.x86_64.rpm
Package name lib64nm-glib-vpn1
Package version 1.8.0
Package release 1.mga6
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage https://wiki.gnome.org/Projects/NetworkManager
License GPLv2+
Maintainer -
Download size 25.49 KB
Installed size 36.18 KB
This package contains the libraries that make it easier to use some
NetworkManager VPN functionality from applications that use glib.

Alternatives

Package Version Architecture Repository
lib64nm-glib-vpn1-1.8.6-1.1.mga6.x86_64.rpm 1.8.6 x86_64 Mageia Core Updates Testing
lib64nm-glib-vpn1-1.8.6-1.mga6.x86_64.rpm 1.8.6 x86_64 Mageia Core Updates
lib64nm-glib-vpn1 - - -

Requires

Name Value
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libdbus-glib-1.so.2()(64bit) -
libglib-2.0.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libnm-util.so.2()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -

Provides

Name Value
lib64nm-glib-vpn1 == 1.8.0-1.mga6
lib64nm-glib-vpn1(x86-64) == 1.8.0-1.mga6
libnm-glib-vpn.so.1()(64bit) -

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package lib64nm-glib-vpn1-1.8.0-1.mga6.x86_64.rpm
Source Package networkmanager-1.8.0-1.mga6.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install lib64nm-glib-vpn1 rpm package:
    # urpmi lib64nm-glib-vpn1

Files

Path
/usr/lib64/libnm-glib-vpn.so.1
/usr/lib64/libnm-glib-vpn.so.1.2.0

Changelog

2017-05-26 - ovitters <ovitters> 1.8.0-1.mga6
+ Revision: 1104726
- new version 1.8.0
- rediff patches
2017-05-06 - luigiwalser <luigiwalser> 1.6.2-5.mga6
+ Revision: 1099316
- fix format security errors
2017-02-23 - wally <wally> 1.6.2-4.mga6
+ Revision: 1087510
- drop conflicts for connman (connman isn't enabled by default anymore and README.urpmi was added to connman to explain to not enable connman and networkmanager at the same time)
2017-02-19 - ovitters <ovitters> 1.6.2-3.mga6
+ Revision: 1086971
- add conflict on connman as it pretends to be NM (mga#20286)
2017-02-19 - wally <wally> 1.6.2-2.mga6
+ Revision: 1086899
- move nmtui man pages to correct pkg
- split out device plugins
- require wifi device plugin by default and recommend others
- drop unneeded requires for mobile-broadband-provider-info
- create /etc/NetworkManager/dnsmasq-shared.d/
2017-02-15 - ovitters <ovitters> 1.6.2-1.mga6
+ Revision: 1086303
- new version 1.6.2
- dropped merged patch 3
2017-02-10 - wally <wally> 1.6.0-11.mga6
+ Revision: 1085508
- fix pppd plugin dir
- no need to require optional dnsmasq-base
- add some missing dirs/files
2017-02-08 - wally <wally> 1.6.0-10.mga6
+ Revision: 1085153
- split out NetworkManager typelib
- move gir files to correct devel pkgs
- don't pkg libnm devel files twice
- tag gtk-docs as docs
- move docs under %_docdir
- create /etc/NetworkManager/conf.d/
2017-02-06 - wally <wally> 1.6.0-9.mga6
+ Revision: 1085040
- add patch from upstream to fix interpreting missing MAC_ADDRESS_RANDOMIZATION as permanent address with ifcfg-rh plugin
- rediff P11 (mga-wireless_essid.patch) to apply with upstream patch added
2017-02-06 - wally <wally> 1.6.0-8.mga6
+ Revision: 1085008
- update P10 (discover-mac-address.patch) one more time

See Also

Package Description
lib64nm-glib4-1.8.0-1.mga6.x86_64.rpm Shared library for nm-glib
lib64nm-gtk-devel-1.8.2-1.mga6.x86_64.rpm Development files for nm-gtk
lib64nm-gtk0-1.8.2-1.mga6.x86_64.rpm Shared library for nm-gtk
lib64nm-util-devel-1.8.0-1.mga6.x86_64.rpm Development files for nm-util
lib64nm-util2-1.8.0-1.mga6.x86_64.rpm Shared library for nm-util
lib64nm0-1.8.0-1.mga6.x86_64.rpm Shared library for nm
lib64nma-devel-1.8.2-1.mga6.x86_64.rpm Development files for nma
lib64nma-gir1.0-1.8.2-1.mga6.x86_64.rpm GObject Introspection interface description for NMA
lib64nma0-1.8.2-1.mga6.x86_64.rpm Shared library for nma
lib64nmclient-gir1.0-1.8.0-1.mga6.x86_64.rpm GObject Introspection interface library for NMClient
lib64nmgtk-gir1.0-1.8.2-1.mga6.x86_64.rpm GObject Introspection interface description for NMGtk
lib64notesharedprivate5-16.12.3-1.mga6.x86_64.rpm KDEPIM library
lib64notify-devel-0.7.7-1.mga6.x86_64.rpm Desktop notifications library - headers
lib64notify-gir0.7-0.7.7-1.mga6.x86_64.rpm GObject Introspection interface library for libnotify
lib64notify4-0.7.7-1.mga6.x86_64.rpm Desktop notifications library - shared library
Advertisement
Advertisement